package com.caimei365.manager.config;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.web.servlet.MultipartProperties;
import org.springframework.boot.web.servlet.MultipartConfigFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
import org.springframework.util.unit.DataSize;

import javax.servlet.MultipartConfigElement;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/12/2
 */
@Configuration
public class WebConfig {
    /**
     * BCryptPasswordEncoder 解析器注入到容器
     */
    @Bean
    public BCryptPasswordEncoder bCryptPasswordEncoder() {
        return new BCryptPasswordEncoder();
    }


    @Autowired
    private MultipartProperties multipartProperties;
    @Bean
    public MultipartConfigElement multipartConfigElement() {
        multipartProperties.setMaxFileSize(DataSize.parse("200MB"));
        multipartProperties.setMaxRequestSize(DataSize.parse("200MB"));
        return multipartProperties.createMultipartConfig();
    }
}
