package com.caimei365.manager.controller.caimei.user;

import com.caimei365.manager.entity.PaginationVo;

import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.cmUser.CmClub;
import com.caimei365.manager.entity.caimei.cmUser.CmClubLabel;
import com.caimei365.manager.entity.caimei.cmUser.CmPortrait;
import com.caimei365.manager.service.caimei.user.CmUserService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 用户管理接口
 */
@RestController
@RequestMapping("/user")
public class UserApi {

    @Resource
    private CmUserService userService;

    @GetMapping("/club/list")
    public ResponseJson<PaginationVo<CmClub>> getClubList(CmClub club,
                                                                @RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                                @RequestParam(value = "pageSize", defaultValue = "20") int pageSize) {
        return userService.getClubList(club, pageNum, pageSize);
    }

    /**
     *  0：动态标签；1：静态标签
     * @param dynamicStatus
     * @return
     */
    @GetMapping("/club/label")
    public ResponseJson<List<CmClubLabel>> getClubLabels(Integer dynamicStatus) {
        return userService.getClubLabels(dynamicStatus);
    }

    @GetMapping("/club/portrait")
    public ResponseJson<CmPortrait> getClubPortrait(Integer clubId) {
        return userService.getClubPortrait(clubId);
    }

    /**
     * 机构画像图表数据
     * @param port
     * @return
     */
    @GetMapping("/club/selPortraitData")
    public ResponseJson<Map<String, Object>> selPortraitData(CmPortrait port) {
        return userService.selPortraitData(port);
    }
}
