package com.caimei365.manager.dao;

import com.caimei365.manager.entity.caimei.KeyWord;
import com.caimei365.manager.entity.caimei.productArchive.CmProductArchive;
import com.caimei365.manager.entity.po.KeyPo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/3/23
 */
@Mapper
public interface HomeDao {
    /**
     * 统计采美用户数量
     */
    int countAllUsers();
    /**
     * 统计采美商品数量
     */
    int countAllProducts();

    /**
     * 统计采美订单数量
     */
    int countAllOrders();

    /**
     * 统计采美订单总额
     */
    int countAllOrderMoney();


    /**
     * 机构统计
     */
    int countClub(@Param("userIdentity") Integer userIdentity, @Param("startCreateTime") Date startCreateTime, @Param("endCreateTime") Date endCreateTime);
    /**
     * 机构活跃度统计
     */
    int countClubActivity( @Param("startCreateTime") Date startCreateTime, @Param("endCreateTime") Date endCreateTime);
    /**
     * 机构订单趋势
     */
    int countClubOrder(@Param("userIdentity") Integer userIdentity, @Param("startCreateTime") Date startCreateTime, @Param("endCreateTime") Date endCreateTime);
    /**
     * 机构咨询统计
     */
    int countClubRemarks(@Param("startCreateTime") Date startCreateTime, @Param("endCreateTime") Date endCreateTime);
    /**
     * 游客咨询统计
     */
    int countClubVisitorRemarks(@Param("startCreateTime") Date startCreateTime, @Param("endCreateTime") Date endCreateTime);
    /**
     * 访问统计
     */
    int countRecord(@Param("userId") Integer userId, @Param("userIdentity") Integer userIdentity, @Param("startCreateTime") Date startCreateTime, @Param("endCreateTime") Date endCreateTime);
    /**
     *
     * 热门商品
     */
    List<Map<String, String>> countProductSalesRecord(@Param("startCreateTime") Date startCreateTime, @Param("endCreateTime") Date endCreateTime);
    /**
     *
     * 热门品牌
     */
    List<Map<String, String>>  countBrandProductSalesRecord(@Param("startCreateTime") Date startCreateTime, @Param("endCreateTime") Date endCreateTime);
    /**
     * 热门搜索词
     */
    List<String> countKeyword(@Param("startCreateTime") Date startCreateTime, @Param("endCreateTime") Date endCreateTime);
    /**
     * 关键词下拉选择项
     */
    List<KeyWord> findKeyWordList(String keyword);

    /**
     * 已上线商品列表
     */
    List<CmProductArchive> findProductList(CmProductArchive cmProductArchive);


}
