package com.caimei365.manager.dao.productArchive;

import java.util.List;

import com.caimei365.manager.entity.caimei.productArchive.CmProductArchiveContent;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 商品资料内容Mapper接口
 *
 * @author Kaick
 * @date 2023-12-22
 */
@Mapper
public interface CmProductArchiveContentMapper
{
    /**
     * 通过对象查询商品资料内容列表
     *
     * @param cmProductArchiveContent 商品资料内容
     * @return 商品资料内容集合
     */
    List<CmProductArchiveContent> getCmProductArchiveContentList(CmProductArchiveContent cmProductArchiveContent);

    /**
     * 通过Id查询商品资料内容对象
     *
     * @param id 商品资料内容主键
     * @return 商品资料内容
     */
    CmProductArchiveContent getCmProductArchiveContentById(String id);

    /**
     * 通过对象查询商品资料内容对象
     *
     * @param cmProductArchiveContent 商品资料内容
     * @return 商品资料内容
     */
    CmProductArchiveContent getByCmProductArchiveContent(CmProductArchiveContent cmProductArchiveContent);

    /**
     * 通过对象查询商品资料内容Id
     *
     * @param cmProductArchiveContent 商品资料内容
     * @return String
     */
    String getById(CmProductArchiveContent cmProductArchiveContent);


    /**
     * 通过对象查询商品资料内容记录总数
     *
     * @param cmProductArchiveContent 商品资料内容
     * @return 商品资料内容Integer
     */
    int getCount(CmProductArchiveContent cmProductArchiveContent);

    /**
     * 新增商品资料内容
     *
     * @param cmProductArchiveContent 商品资料内容
     * @return 结果
     */
    int addCmProductArchiveContent(CmProductArchiveContent cmProductArchiveContent);

    /**
     * 修改商品资料内容
     *
     * @param cmProductArchiveContent 商品资料内容
     * @return 结果
     */
    int updateCmProductArchiveContent(CmProductArchiveContent cmProductArchiveContent);

    /**
     * 删除商品资料内容
     *
     * @param id 商品资料内容主键
     * @return 结果
     */
    int delCmProductArchiveContentById(String id);

    /**
     * 批量删除商品资料内容
     * @return 结果
     */
    int delCmProductArchiveContent(CmProductArchiveContent cmProductArchiveContent);

}
