package com.caimei365.manager.dao.productArchive;

import java.util.List;

import com.caimei365.manager.entity.caimei.productArchive.CmProductArchiveFile;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


/**
 * 商品资料文件Mapper接口
 *
 * @author Kaick
 * @date 2023-12-22
 */
@Mapper
public interface CmProductArchiveFileMapper
{
    /**
     * 通过对象查询商品资料文件列表
     *
     * @param cmProductArchiveFile 商品资料文件
     * @return 商品资料文件集合
     */
    List<CmProductArchiveFile> getCmProductArchiveFileList(CmProductArchiveFile cmProductArchiveFile);

    /**
     * 通过Id查询商品资料文件对象
     *
     * @param id 商品资料文件主键
     * @return 商品资料文件
     */
    CmProductArchiveFile getCmProductArchiveFileById(String id);

    /**
     * 通过对象查询商品资料文件对象
     *
     * @param cmProductArchiveFile 商品资料文件
     * @return 商品资料文件
     */
    CmProductArchiveFile getByCmProductArchiveFile(CmProductArchiveFile cmProductArchiveFile);

    /**
     * 通过对象查询商品资料文件Id
     *
     * @param cmProductArchiveFile 商品资料文件
     * @return String
     */
    String getById(CmProductArchiveFile cmProductArchiveFile);


    /**
     * 通过对象查询商品资料文件记录总数
     *
     * @param cmProductArchiveFile 商品资料文件
     * @return 商品资料文件Integer
     */
    int getCount(CmProductArchiveFile cmProductArchiveFile);

    /**
     * 新增商品资料文件
     *
     * @param cmProductArchiveFile 商品资料文件
     * @return 结果
     */
    int addCmProductArchiveFile(CmProductArchiveFile cmProductArchiveFile);

    /**
     * 修改商品资料文件
     *
     * @param cmProductArchiveFile 商品资料文件
     * @return 结果
     */
    int updateCmProductArchiveFile(CmProductArchiveFile cmProductArchiveFile);

    /**
     * 删除商品资料文件
     *
     * @param id 商品资料文件主键
     * @return 结果
     */
    int delCmProductArchiveFileById(String id);

    /**
     * 批量删除商品资料文件
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int delCmProductArchiveFile(CmProductArchiveFile cmProductArchiveFile);

}
