package com.caimei365.manager.dao.providers;

import java.util.List;

import com.caimei365.manager.entity.caimei.providers.CmProvidersContract;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * Mapper接口
 *
 * @author Kaick
 * @date 2023-12-12
 */
@Mapper
public interface CmProvidersContractMapper
{
    /**
     * 通过对象查询列表
     *
     * @param cmProvidersContract
     * @return 集合
     */
    List<CmProvidersContract> getCmProvidersContractList(CmProvidersContract cmProvidersContract);

    /**
     * 通过Id查询对象
     *
     * @param id 主键
     * @return
     */
    CmProvidersContract getCmProvidersContractById(String id);

    /**
     * 通过对象查询对象
     *
     * @param cmProvidersContract
     * @return
     */
    CmProvidersContract getByCmProvidersContract(CmProvidersContract cmProvidersContract);

    /**
     * 通过对象查询Id
     *
     * @param cmProvidersContract
     * @return String
     */
    String getById(CmProvidersContract cmProvidersContract);


    /**
     * 通过对象查询记录总数
     *
     * @param cmProvidersContract
     * @return Integer
     */
    int getCount(CmProvidersContract cmProvidersContract);

    /**
     * 新增
     *
     * @param cmProvidersContract
     * @return 结果
     */
    int addCmProvidersContract(CmProvidersContract cmProvidersContract);

    /**
     * 修改
     *
     * @param cmProvidersContract
     * @return 结果
     */
    int updateCmProvidersContract(CmProvidersContract cmProvidersContract);

    /**
     * 删除
     *
     * @param id 主键
     * @return 结果
     */
    int delCmProvidersContractById(String id);

    /**
     * 批量删除
     */
    int delCmProvidersContract(CmProvidersContract cmProvidersContract);

}
