package com.caimei365.manager.dao.providers;

import java.util.List;

import com.caimei365.manager.entity.caimei.providers.CmProviders;
import com.caimei365.manager.entity.po.UploadFilePo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * Mapper接口
 *
 * @author Kaick
 * @date 2023-12-12
 */
@Mapper
public interface CmProvidersMapper
{
    /**
     * 通过对象查询列表
     *
     * @param cmProviders
     * @return 集合
     */
    List<CmProviders> getCmProvidersList(CmProviders cmProviders);

    /**
     * 通过Id查询对象
     *
     * @param id 主键
     * @return
     */
    CmProviders getCmProvidersById(String id);

    /**
     * 通过对象查询对象
     *
     * @param cmProviders
     * @return
     */
    CmProviders getByCmProviders(CmProviders cmProviders);

    /**
     * 通过对象查询Id
     *
     * @param cmProviders
     * @return String
     */
    String getById(CmProviders cmProviders);


    /**
     * 通过对象查询记录总数
     *
     * @param cmProviders
     * @return Integer
     */
    int getCount(CmProviders cmProviders);

    /**
     * 新增
     *
     * @param cmProviders
     * @return 结果
     */
    int addCmProviders(CmProviders cmProviders);

    /**
     * 修改
     *
     * @param cmProviders
     * @return 结果
     */
    int updateCmProviders(CmProviders cmProviders);

    /**
     * 删除
     *
     * @param id 主键
     * @return 结果
     */
    int delCmProvidersById(String id);

    /**
     * 批量删除
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int delCmProviders(CmProviders cmProviders);
    /**
     * 批量删除
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    List<UploadFilePo> getProvidersUploadFileList(@Param("ids") String ids, @Param("type") Integer type);

}
