package com.caimei365.manager.entity.caimei;

import java.io.Serializable;

import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 相关资源对象 cm_related
 *
 * @author Kaick
 * @date 2023-12-12
 */
@Accessors(chain = true)
@Data
@Alias("CmRelated")
public class CmRelated implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private String id;

    /**
     * 分类: 1 (info)相关文章,2 (info)精选文章
     */
    private String type;

    /**
     * 归属者Id（type字段表Id）
     */
    private String authorId;

    /**
     * 相关Id（type字段表Id）
     */
    private String relatedId;

    /**
     * 删除状态 0正常，其他删除
     */
    private Integer delFlag;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 排序值
     */
    private Integer sort;


}



