package com.caimei365.manager.entity.caimei.cmUser;

import com.caimei365.manager.entity.caimei.product.Product;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/9/7
 */
@Data
public class CmClubRemarks {
    /**
     * 机构id
     */
    private Integer clubId;

    /**
     * 备注id
     */
    private Integer remarksId;

    /**
     * 协销姓名
     */
    private String spName;
    /**
     * 机构名称
     */
    private String clubName;
    /**
     * 总咨询类别
     */
    private List<CmConsulttype> consults;
    /**
     * 记录的咨询类别
     */
    private String consultType;

    /**
     * 手机号
     */
    private String contractMobile;
    /**
     * 咨询类别
     */
    private String consult;

    /**
     * 协销id
     */
    private Integer serviceProviderId;

    /**
     * 总小组
     */
    private List<CmSaleMan> teams;
    /**
     * 组长id/管理员id
     */
    private Integer leaderId;
    /**
     * 管理员姓名
     */
    private String leaderName;
    /**
     * 文字备注/关键词
     */
    private String remarks;
    /**
     * 1 已注册记录  2  未注册记录
     */
    private Integer type;
    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date addTime;

    private String startTime;


    private String endTime;
    /**
     * 咨询人
     */
    private String questionMan;
    /**
     * 图片列表
     */
    private List<String> imageList;

    /**
     * 文件列表
     */
    private List<RemarksFileVo> fileList;
    /**
     * 时分 时间
     */
    private String divisionTime;

    /**
     * 机构类型
     */
    private String clubType;
    /**
     * 价格敏感度
     */
    private Integer pinceSensitve;
    /**
     * 意向程度
     */
    private Integer satisfied;
    /**
     * 跟进状态
     */
    private Integer followup;
    /**
     * 额外说明
     */
    private String extra;
    /**
     * 非持久化字段旧协销名
     */
    private String oldName;
    /**
     * 新分配机构状态 0.全部 1.是 2否，
     */
    private Integer newDeal;
    /**
     * 咨询商品Id
     */
    private Integer productId;
    /**
     * 咨询商品名称
     */
    private String productName;
    /**
     * 咨询商品主图
     */
    private String mainImage;
    /**
     * 商品信息
     */
    private List<Product> product;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 关联报备商品主图
     */
    private String productMainImage;
    /**
     * //关联报备商品名称
     */
    private String proName;
    /**
     * 关联事由
     */
    private String reportText;

    private String auditName;
    /**
     * 状态 1.已审核 2.待审核 3.审核未通过
     */
    private Integer reportStatus;
    /**
     * 审核时间
     */
    private String auditTime;
    /**
     * 报备记录id
     */
    private Integer reportId;

    private List<CmReport> reports;

    private Integer number;

    private Integer numbers;
    /**
     * 是否注册 0 全部 1 未注册 2已注册
     */
    private Integer isRegister;
    /**
     * 沟通情况 0 已沟通 1联系不上
     */
    private Integer communicationSituation;
    /**
     * 沟通方式 0：电话，微信 1：电话 2：微信
     */
    private String communicationMethods;
    /**
     * 客户来源 0 公众号 1 小红书 2 微博 3 搜狐 4 其他
     */
    private Integer customerSource;
    /**
     * 客户性别 0 男 1 女
     */
    private Integer customerGender;
    /**
     * 客户年龄
     */
    private String customerAge;
    /**
     * 加群情况 0 以加群 1 未加群
     */
    private Integer groupAddition;
    /**
     * 动态标签
     */
    private String trendsKeyword;
    /**
     * 静态标签
     */
    private String stateKeyword;
    /**
     * 首次咨询时间
     */
    private String firstTime;
    /**
     * 最近咨询时间
     */
    private String recentlyTime;
}
