package com.caimei365.manager.entity.caimei.cmUser;

import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;

@Data
public class CmPortrait {

    private Integer userId;
    // 机构id
    private Integer clubId;

    // 日期类别 0日 1月 2半年 3全年
    private Integer dateType;
    // 开始时间
    private String startTime;
    // 结束时间
    private String endTime;
    // 统计类别 0订单 1搜索关键词 2咨询记录 3访问记录 4初始状态
    private Integer type;
    // 时间
    private String accessDate;

    // 订单总量
    private Integer orderTotal;
    // 当前范围订单总金额
    private double orderScopeTotalFee;
    // 当前订单范围总量
    private Integer orderScopeNum;
    // 订单总金额
    private BigDecimal orderTotalAmount;
    // 订单类型值value  订单类型name
    private ArrayList<OrderPortrait> orderPortrait;
    // 搜索关键词总数
    private Integer totalkeywords;
    // 当前关键词范围总量
    private Integer keyWordsScopeNum;
    // 搜索关键词数量
    private ArrayList<Integer> behaviorValue;
    // 搜索关键词
    private ArrayList<String> behaviorType;
    // 咨询记录总数
    private Integer remarksTotal;
    // 当前咨询记录范围总量
    private Integer remarksScopeNum;
    // 访问记录总量
    private Integer visitTotal;
    // 当前访问记录总量
    private Integer visitNum;
    // 咨询记录数
    private ArrayList<Integer> remarksValue;
    // 咨询记录关键词
    private ArrayList<String> remarksType;
    // 访问记录数
    private ArrayList<Integer> pageTypeValue;
    // 访问词
    private ArrayList<String> pageType;



    private String registerStartTime;       //注册开始时间
    private String registerEndTime;         //注册结束时间
    private String searchStartTime;         //最近下单开始时间
    private String searchEndTime;           //最近下单结束时间
    private String customerValue;           //机构类型
    private String searchUserIdentity;      //机构级别
    private String searchStatus;            //状态
    private String customStartTime;         //自定义统计开始时间
    private String customEndTime;           //自定义统计结束时间
    private String monthStartTime;         //近一个月开始时间
    private String monthEndTime;           //近一个月结束时间
    private String yearStartTime;         //近一个年开始时间
    private String yearEndTime;           //近一个年结束时间

    // 排序
    private Integer payTotalMonthType;  //近一个月购买额类型 0正序、1倒叙
    private Integer orderCountMonthType;    //近一个月订单数类型 0正序、1倒叙
    private Integer payTotalYearType;   //近一年购买额类型 0正序、1倒叙
    private Integer orderCountYearType; //近一年订单数类型 0正序、1倒叙
    private Integer payTotalType;   //总购买额类型 0正序、1倒叙

    private String province;
    private String city;
    private String town;

    private Integer sex;    //性别
    private String age;    // 年龄
    private String name;    // 机构名称
    private String linkMan; //联系人
    private String contractMobile;  //联系手机
    private String linkManIdentity; //联系人身份：1老板，2采购，3运营，4其他
    private String spName;      //协销人员
    private String address;         //详细地址
    private String businessLicenseImage;    //营业执照
    private String userIdentity;    //用户身份
    private String sname;   //机构简称
    private String contractEmail;   //联系邮箱
    private String contractPhone;   //联系电话
    private String fax;     //传真
    private String headpic;     //门头照
    private String socialCreditCode;    //统一社会信用代码 --- 营业执照编号
    private String info;    //公司简介
    private String linkManStatus;   //联系人身份
    private String clubStatus;  // 机构状态
    private String clubRank;  // 机构级别
    private String firstClubType;  // 机构一级分类
    private String classify;  // 机构二级分类
    private String clubType;  // 机构类型
    private Integer number;  // 资料完整度数值
    private String clubDataIntegrity;  // 资料完整度
    private String addTime;  // 注册时间
    private String svipUserFlag;  // vip类别
    private String payTotalMonth;  // 近一个月购买额
    private String orderCountMonth;  // 近一个月订单数
    private String payTotalYear;  // 近一个年购买额
    private String orderCountYear;  // 近一个年订单数
    private String payTotal;  // 总购买额
    private String pageLabel;   //最常搜索词
    private String lastOrderTime;  // 最近下单时间
    private String activeState;     // 活跃状态
    private String customerValues;   // 客户价值
    private String registerTime;    // 注册时间
    private Integer customerSource;    // 客户来源 0 公众号 1 小红书 2 微博 3 搜狐 4 其他
    private Integer groupAddition;    // 入群状态 0 以加群 1 未加群
    private Integer wxReach;        // 微信触达 0 触达 1 未触达
    private Integer mobileReach;    // 电话触达 0 触达 1 未触达
    private String fillTime;    // 填写时间

    private String firstTime;   //首次咨询时间

    private String recentlyTime;    //最近咨询时间
}

