package com.caimei365.manager.entity.caimei.cmUser;

import lombok.Data;

import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/9/6
 */
@Data
public class Info {
    private Integer id;
    /**
     * 信息分类
     */
    private Integer typeId;
    /**
     * 标题
     */
    private String title;
    /**
     * 信息标签
     */
    private String label;
    /**
     * 发布人
     */
    private String publisher;
    /**
     * 来源
     */
    private String source;
    /**
     * 文章发布来源：1采美365网，2供应商
     */
    private Integer publishSource;
    /**
     * 供应商id，publishSource为2时才有值
     */
    private Integer shopId;
    /**
     * 关键字
     */
    private String keyword;
    /**
     * 推荐语
     */
    private String recommendContent;
    /**
     * 信息内容
     */
    private String infoContent;
    /**
     * 引导图
     */
    private String guidanceImage;
    /**
     * 商城首页图
     */
    private String homePageImage;
    /**
     * 发布时间
     */
    private Date pubdate;
    /**
     * 发布时间 格式化
     */
    private String pubdateString;
    /**
     * 推荐状态 0停用 1启用
     */
    private String recommendStatus;
    /**
     * 推荐方式 0自动推荐 1手动推荐
     */
    private Integer autoStatus;
    /**
     * 启用/禁用状态
     */
    private String enabledStatus;
    /**
     * 基础点赞
     */
    private Integer basePraise;
    /**
     * 基础浏览量
     */
    private Integer basePv;
    /**
     * 优先级
     */
    private String priorityIndex;
    /**
     * 供应商文章审核状态：1待审核，2审核通过，3审核失败
     */
    private Integer auditStatus;
    /**
     * 文章上线状态：1待上线，2已上线，3已下线
     */
    private Integer onlineStatus;
    /**
     * 审核失败理由
     */
    private String failReason;
    /**
     * 创建人
     */
    private String createBy;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 创建时间格式化
     */
    private String createDateString;
    /**
     * 最后更新人
     */
    private String updateBy;
    /**
     * 最后更新时间
     */
    private Date updateDate;
    /**
     * 首页置顶位
     */
    private Integer topPosition;
    /**
     * 关联标签库ids
     */
    private String labelIds;
    /**
     * 关联标签库字符串
     */
    private String relatedLabels;
    /**
     * 删除标记：0未删除，1已删除
     */
    private Integer delFlag;
    /**
     * 是否支持选择
     */
    private Boolean flag;
}
