package com.caimei365.manager.entity.caimei.productArchive;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import java.io.Serializable;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;

/**
 * 商品资料库对象 cm_product_archive
 *
 * @author Kaick
 * @date 2023-12-22
 */
@Accessors(chain  = true )
@Data
@Alias("CmProductArchive")
public class CmProductArchive implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 商品id */
    private Integer productId;

    /** 商品名称 */
    private String productName;

    /** 供应商名称 */
    private String shopName;

    /** 商品图片 */
    private String productImage;

    /** 商品属性：1产品，2仪器 */
    private String productType;
    /** 创建人 */
    private String createBy;

    /** 商品分类：1医美，2生美 */
    private Integer productClassify;

    /** 添加时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date addTime;




}



