package com.caimei365.manager.service.caimei.impl;


import com.caimei365.manager.dao.productArchive.CmProductArchiveFileMapper;
import com.caimei365.manager.entity.caimei.productArchive.CmProductArchiveFile;
import com.caimei365.manager.utils.WaterMarkUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Map;

/**
 * 功能描述:
 * @auther: Kaick
 * @date: 2024/1/11 14:27
 */
@Slf4j
@Component
public class AsyncService {
    @Resource
    private CmProductArchiveFileMapper cmProductArchiveFileMapper;

    @Async("taskExecutor")
    public void setWaterOss(CmProductArchiveFile archiveFile) {
        String ossName = archiveFile.getOssName();
        Map<String, Object> map = WaterMarkUtils.addWaterMark(ossName.substring(ossName.lastIndexOf(".") + 1).toLowerCase(), archiveFile.getOssUrl());
        CmProductArchiveFile productArchiveFile = new CmProductArchiveFile().setId(archiveFile.getId());
        if (null == map) {
            productArchiveFile
                    .setHtmlUrl("水印文件生成失败，请稍后重试！");
        } else {
            productArchiveFile
                    .setWaterOssName((String) map.get("ossName"))
                    .setWaterOssUrl((String) map.get("ossUrl"));
        }
        cmProductArchiveFileMapper.updateCmProductArchiveFile(productArchiveFile);
    }
}
