package com.caimei365.manager.service.caimei.productArchive;

import com.caimei365.manager.entity.caimei.productArchive.CmProductArchiveContent;
import com.caimei365.manager.entity.caimei.productArchive.CmProductArchiveFile;

import java.util.List;

/**
 * 商品资料内容Service接口
 *
 * @author Kaick
 * @date 2023-12-22
 */
public interface CmProductArchiveContentService
{
    /**
     * 通过对象查询商品资料内容列表
     *
     * @param cmProductArchiveContent 商品资料内容
     * @return 商品资料内容集合
     */
    List<CmProductArchiveContent> getCmProductArchiveContentList(CmProductArchiveContent cmProductArchiveContent);

    /**
     * 通过对象查询商品资料内容列表
     *
     * @param cmProductArchiveContent 商品资料内容
     * @return 商品资料内容集合
     */
    CmProductArchiveContent getCmProductArchiveContent(CmProductArchiveContent cmProductArchiveContent);


    /**
     * 新增商品资料内容
     *
     * @param cmProductArchiveContent 商品资料内容
     * @return 结果
     */
    int addCmProductArchiveContent(CmProductArchiveContent cmProductArchiveContent);


    /**
     * 删除商品资料内容信息
     *
     * @return 结果
     */
    int delCmProductArchiveContent(CmProductArchiveContent cmProductArchiveContent);

}


