package com.caimei365.manager.service.caimei.providers.utils;

import com.caimei365.manager.config.utils.DateUtil;
import com.caimei365.manager.utils.ImageUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.core.env.Environment;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import javax.imageio.ImageIO;
import java.awt.*;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import java.net.URL;
import java.util.*;

/**
 * @author ：Kaick
 * @date ：Created in 2023/12/13
 * @description：Template
 */
@Slf4j
@Component
public class ProvidersTemplate {

    @Resource
    private Environment environment;
    private static String config;
    private static String logoPath = "/mnt/newdatadrive/data/runtime/jar-instance/manager-api/logo/";

    @PostConstruct
    public void setValue() {
        config = environment.getProperty("cm.config");
        if ("dev".equals(config)) {
            logoPath = "D:/";
        }
    }

    public static String setQualificationImage(String name, String level, Date startDate, Date endDate, String providersId, BufferedImage realQrCodeImage) {
        BufferedImage image = null;
        try {
            image = ImageIO.read(new File(logoPath+"服务商授权书.jpg"));
        } catch (IOException e) {
            e.printStackTrace();
        }
        ArrayList list = new ArrayList();
        if (null != name) {
            //合成文本Map
            HashMap<String, Object> textMap = new HashMap<>();
            textMap.put("type", 2);
            textMap.put("text", name);
            textMap.put("font", new Font("黑体", Font.BOLD, 32));
            textMap.put("align", "center");
            textMap.put("x", image.getWidth()/2);
            textMap.put("y", 585);
            list.add(textMap);
        }
        if (null != level) {
            //合成文本Map
            HashMap<String, Object> levelMap = new HashMap<>();
            levelMap.put("type", 2);
            levelMap.put("text", level);
            levelMap.put("font", new Font("方正粗黑宋简体", Font.BOLD, 40));
            levelMap.put("x", 943);
            levelMap.put("y", 672);
            list.add(levelMap);
        }
        if (null != startDate) {
            //合成文本Map
            HashMap<String, Object> startDateMap = new HashMap<>();
            startDateMap.put("type", 2);
            startDateMap.put("text", DateUtil.setDate(startDate, "yyyy  MM   dd"));
            startDateMap.put("font", new Font("思源黑体", Font.PLAIN, 38));
            startDateMap.put("x", 730);
            startDateMap.put("y", 835);
            list.add(startDateMap);
        }
        if (null != endDate) {
            //合成文本Map
            HashMap<String, Object> endDateMap = new HashMap<>();
            endDateMap.put("type", 2);
            endDateMap.put("text", DateUtil.setDate(endDate, "yyyy  MM   dd"));
            endDateMap.put("font", new Font("思源黑体", Font.PLAIN, 38));
            endDateMap.put("x", 1060);
            endDateMap.put("y", 835);
            list.add(endDateMap);
        }
        if (null != providersId) {
            //合成文本Map
            HashMap<String, Object> providersIdMap = new HashMap<>();
            providersIdMap.put("type", 2);
            providersIdMap.put("text", providersId);
            providersIdMap.put("font", new Font("思源黑体", Font.PLAIN, 32));
            providersIdMap.put("x", 520);
            providersIdMap.put("y", 1090);
            list.add(providersIdMap);
        }
        if (null != realQrCodeImage) {
            //合成图片Map
            HashMap<String, Object> imageFileMap = new HashMap<>();
            imageFileMap.put("type", 1);
            imageFileMap.put("image", ImageUtils.zoomInImage(realQrCodeImage, 150, 150));
            imageFileMap.put("x", 1430);
            imageFileMap.put("y", 990);
            list.add(imageFileMap);
        }
        return ImageUtils.imageTemplate(ImageUtils.zoomInImage(image, 1920, 1315),list);
    }

}
