package com.caimei365.manager.service.sys;

import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.sys.SysRole;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/1/6
 */
public interface SysRoleService {
    /**
     * 获取角色列表
     * @param pageNum  页码
     * @param pageSize 每页大小
     */
    ResponseJson<PaginationVo<SysRole>> getRoleList(int pageNum, int pageSize);
    /**
     * 根据ID获取角色
     */
    ResponseJson<SysRole> getRoleInfo(Integer id);
    /**
     * 根据ID更新角色
     */
    ResponseJson<Void> updateRole(Integer id, SysRole sysRole);
    /**
     * 添加角色
     */
    ResponseJson<Void> addRole(SysRole sysRole);
    /**
     * 根据ID删除角色
     */
    ResponseJson<Void> deleteRole(Integer id);
    /**
     * 角色授权菜单
     */
    ResponseJson<Void> setRoleMenu(Integer id, SysRole sysRole);
}
