package com.caimei365.manager.utils;

import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.ArrayUtils;
import org.apache.commons.lang3.StringUtils;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.LinkedList;
import java.util.List;
@Slf4j
public class CmdExecuter {
    public static String exec(List<String> cmd) {
        String converted_time = null;
        Process proc = null;
        BufferedReader stdout = null;
        try {
            ProcessBuilder builder = new ProcessBuilder();
            String join = StringUtils.join(cmd, " ");
            log.info("join:"+join);
            builder.command(cmd);
            builder.redirectErrorStream(true);
            proc = builder.start();
            stdout = new BufferedReader(new InputStreamReader(proc.getInputStream()));
            String line;
            int lineNumber = 1;
            List<String> returnStringList = new LinkedList<String>();
            while ((line = stdout.readLine()) != null) {
                System.out.println("第" + lineNumber + "行:" + line);
                lineNumber = lineNumber + 1;
                returnStringList.add(FFMPEG.dealString(line));
            }
            String info = "";
            for (int i = returnStringList.size() - 1; i >= 0; i--) {
                if (null != returnStringList.get(i) && returnStringList.get(i).startsWith("frame=")) {
                    info = returnStringList.get(i);
                    break;
                }
            }
            if (null != info) {
                converted_time = info.split("time=")[1].split("bitrate=")[0].trim();
            }
        } catch (IndexOutOfBoundsException ex) {
            converted_time = null;
            log.error("CmdExecuter异常："+ex);
        } catch (Exception e) {
            e.printStackTrace();
            log.error("CmdExecuter异常："+e);
        } finally {
            try {
                int resultCode = proc.waitFor();
                log.info("resultCode:"+resultCode);
                stdout.close();
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
        return converted_time;
    }
}
